E2FREEFRAG(8)

NOM
e2freefrag - Indiquer la fragmentation de l'espace disponible

SYNOPSIS
e2freefrag [ -c morceau_ko ] [ -h ] système_fichiers

DESCRIPTION
e2freefrag indique la fragmentation de l'espace disponible pour les systèmes de fichiers ext2/3/4. système_fichiers est le nom du périphérique où se trouve le système de fichiers (par exemple, /dev/hdc1, /dev/md0). Le programme e2freefrag analyse les informations de la carte des blocs pour vérifier combien de blocs d'espace libre sont présents, contigus et alignés. Le pourcentage de blocs disponibles contigus de taille et d'alignement morceau_ko est affiché. Il affiche également la taille minimale, maximale et moyenne des morceaux libres du système de fichiers, avec un histogramme de tous les morceaux libres. Cette information peut être utilisée pour mesurer le niveau de fragmentation de l'espace libre d'un système d'exploitation.

OPTIONS

-c morceau_ko
    Si une taille de morceau est fournie, alors e2freefrag affichera le nombre de morceau de taille morceau_ko qui sont disponibles. morceau_ko doit être fourni en kilooctets (Ko). La taille des morceaux doit être une puissance de deux et doit être supérieure à la taille des blocs du système de fichiers.

-h  Afficher les informations d'utilisation du programme.

EXEMPLE
# e2freefrag /dev/vgroot/lvhome
Device: /dev/vgroot/lvhome
Blocksize: 4096 bytes
Total blocks: 1504085
Free blocks: 292995 (19.5%)
Min. free extent: 4 KB
Max. free extent: 24008 KB
Avg. free extent: 252 KB
HISTOGRAM OF FREE EXTENT SIZES:
Extent Size Range : Free extents Free Blocks Percent
    4K... 8K- : 704 704 0.2%
    8K... 16K- : 810 1979 0.7%
   16K... 32K- : 843 4467 1.5%
   32K... 64K- : 579 6263 2.1%
   64K... 128K- : 493 11067 3.8%
  128K... 256K- : 394 18097 6.2%
  256K... 512K- : 281 25477 8.7%
  512K... 1024K- : 253 44914 15.3%
    1M... 2M- : 143 51897 17.7%
    2M... 4M- : 73 50683 17.3%
    4M... 8M- : 37 52417 17.9%
    8M... 16M- : 7 19028 6.5%
   16M... 32M- : 1 6002 2.0%

AUTEUR
Cette version de e2freefrag a été écrite par Rupesh Thakare et modifiée par Andreas Dilger <adilger@sun.com> et Kalpak Shah.

VOIR AUSSI
debugfs(8), dumpe2fs(8), e2fsck(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Sébastien Blanchet, Emmanuel Araman <Emmanuel@araman.org>, Éric Piel <eric.piel@tremplin-utc.net>, Nicolas François <nicolas.francois@centraliens.net>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org> et Cédric Boutillier <cedric.boutillier@gmail.com>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.